# Generate local series post

```http
POST https://api.synup.com/api/v4/local-post-ideas/generate-series-post
```

Generates a single post for a content series at the given slot index.

Source: https://developer.synup.com/api/local-post-ideas/generate-local-series-post

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `seriesId` | string | required |  |
| `slotIndex` | string | required |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/generate-series-post' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "seriesId": "3a1f...",
  "slotIndex": "0"
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
